/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package menadzer;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.ObjectMessage;
import static menadzer.Main.connectionFactory;
import static menadzer.Main.topic;
import zadaci.Zadatak;

/**
 *
 * @author tasha
 */
public class PosiljalacPoruka extends Thread{
    @Override
    public void run(){
        JMSContext context = connectionFactory.createContext();
        JMSProducer producer = context.createProducer();
        
       
        for(int i=0; i<10000; i++){
            try {
                int sekunde = (int)(Math.random() * 6 + 5);
                Thread.sleep(sekunde*1000);
                
                int op = (int)(Math.random() * 3);
                int a = (int)(Math.random() * 101);
                int b = (int)(Math.random() * 101);
                int idR = (int)(Math.random() * 3+1);
                
                Zadatak zadatak = new Zadatak(a,b);
                zadatak.setOperacija(op);
                
                String imeZadatka = "Zadatak" + i + " (a = " + a + ", b = " + b + ", operacija: " + zadatak.getNazivOperacija() + ")";
                
                ObjectMessage objMsg=context.createObjectMessage(zadatak);
                objMsg.setIntProperty("IdR", idR);
                objMsg.setStringProperty("Naziv", imeZadatka);
                producer.send(topic, objMsg);
                System.out.println("Poslat je zadatak '" + imeZadatka + "' radniku " + idR);
            } catch (InterruptedException ex) {
                Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
            } catch (JMSException ex) {
                Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
            }
                
        }
    }
    
}
