/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package radnik;

import javax.jms.Queue;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.jms.ConnectionFactory;
import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.ObjectMessage;
import javax.jms.TextMessage;
import javax.jms.Topic;
import zadaci.Zadatak;

/**
 *
 * @author tasha
 */
public class Main {

    @Resource(lookup = "ZadatakQueue")
    static Queue queue;
    
    @Resource(lookup = "ZadatakTopic")
    static Topic topic;
    
    @Resource(lookup = "jms/__defaultConnectionFactory")
    static ConnectionFactory connectionFactory;
    
    /**
     * @param args the command line arguments
     */
    public static int IdR=1;
    public static void main(String[] args) {
        IdR=Integer.parseInt(args[0]);
         JMSContext context = connectionFactory.createContext();
         context.setClientID("IdR"+IdR);
        
         JMSConsumer consumer=context.createDurableConsumer(topic, "sub1", "IdR="+IdR, false);
         JMSProducer producer=context.createProducer();
         while(true){
             try {
                 ObjectMessage objMsg= (ObjectMessage) consumer.receive();
                 Zadatak zadatak=(Zadatak)objMsg.getObject();
                 int sekunde = (int)(Math.random() * 6 + 5);
                 Thread.sleep(sekunde);// *1000);
                 System.out.println(objMsg.getStringProperty("Naziv")+": "+zadatak.radi());
                 TextMessage txtMsg=context.createTextMessage(objMsg.getStringProperty("Naziv")+": "+zadatak.radi());
                 txtMsg.setIntProperty("IdR", IdR);
                 producer.send(queue, txtMsg);
             } catch (JMSException ex) {
                 Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
             } catch (InterruptedException ex) {
                 Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
             }
         }
    }
    
}
